/*
    使用プログラム
    SEIZO043Search.php 生産計画入力画面
*/

/*----------------------------------------
 *【生産計画入力画面】
 *---------------------------------------*/
/****各テキストボックス項目定義****/
/* 単価 */
.SEIZO043-txt-tanka {
    width: 120px;
}

.SEIZO043-txt-day {
    width: 50px;
}

/****各ラベル項目定義****/
/* 工場名称(倉庫名称) */
.SEIZO043-lbl-soko_nm_hdr {
    width: 400px;
}
/* 製品名称(商品名称)_hdr */
.SEIZO043-lbl-shohin_nm_hdr {
    width: 400px;
}
/* 担当者 */
.SEIZO043-lbl-tanto_nm_hdr {
    width: 200px;
}
/* 製品名称(商品名称) */
.SEIZO043-lbl-shohin_nm {
    width: 289px;
}
/* 製品名称(商品名称) */
.SEIZO043-lbl-shohin {
    width: 340px;
}
/* 製品名称(商品名称) */
.W-200 {
    width: 200px;
}

/*----------------------------------------
 *【生産計画入力画面】
 *---------------------------------------*/
/* ヘッダーテーブル(検索条件) */
.SEIZO043-tbl-header th {
    width: 100px;
    max-width: 100px;
}
.SEIZO043-tbl-header tbody tr:nth-of-type(1) td:nth-of-type(1) {
    width: 480px;
    max-width: 480px;
}
.SEIZO043-tbl-header tbody tr:nth-of-type(1) td:nth-of-type(2) {
    width: 300px;
    max-width: 300px;
}
.SEIZO043-tbl-header tbody tr:nth-of-type(1) td:nth-of-type(3) {
    width: 100px;
    max-width: 100px;
}

/*ボタン定義*/
.SEIZO043-btn_area {
    width: 1099px;
}
.SEIZO043-div-float-area {
    float: left;
}
.SEIZO043-div-btn_area {
    margin-top: 35px;
    margin-left: 265px;
}

/*****************************
 *製品構成マスタ情報エリア定義
 ****************************/
.SEIZO043-div-seihin_kosei {
    margin-top: 5px;
    margin-bottom: 5px;
}
.SEIZO043-tbl-seihin_kosei tr th {
    height: 25px;
}
.SEIZO043-tbl-seihin_kosei thead tr:nth-of-type(1) th:nth-of-type(1) {
    text-align: center;
}
.SEIZO043-tbl-seihin_kosei tbody tr:nth-of-type(1) td:nth-of-type(1) {
    width: 35px;
    max-width: 35px;
    text-align: right;
}

.SEIZO043-tbl-seihin_kosei tbody tr:nth-of-type(1) td:nth-of-type(2),
.SEIZO043-tbl-seihin_kosei tbody tr:nth-of-type(1) td:nth-of-type(3) {
    width: 80px;
    max-width: 80px;
    text-align: left;
}
.SEIZO043-tbl-seihin_kosei tbody tr:nth-of-type(1) td:nth-of-type(4),
.SEIZO043-tbl-seihin_kosei tbody tr:nth-of-type(1) td:nth-of-type(5),
.SEIZO043-tbl-seihin_kosei tbody tr:nth-of-type(1) td:nth-of-type(6),
.SEIZO043-tbl-seihin_kosei tbody tr:nth-of-type(1) td:nth-of-type(7),
.SEIZO043-tbl-seihin_kosei tbody tr:nth-of-type(1) td:nth-of-type(8),
.SEIZO043-tbl-seihin_kosei tbody tr:nth-of-type(1) td:nth-of-type(9) {
    width: 120px;
    max-width: 120px;
    text-align: right;
}

/*****************************
 *明細情報エリア定義
 ****************************/

.SEIZO043-tbl-body_L tbody .SEIZO043-tbl-detail-tr-odd:nth-child(n) {
    background-color: #f4f6f6;
}
.SEIZO043-tbl-body_R tbody .SEIZO043-tbl-detail-tr-odd:nth-child(n) {
    background-color: #f4f6f6;
}
.SEIZO043-tbl-body_L tbody .SEIZO043-tbl-detail-tr-even:nth-child(n) {
    background-color: #ffffff;
}
.SEIZO043-tbl-body_R tbody .SEIZO043-tbl-detail-tr-even:nth-child(n) {
    background-color: #ffffff;
}

/* ▽ ========== HEAD ========== ▽ */
.SEIZO043-flex-tbl-head-area {
    width: 100%;
    min-width: 1400px;
    display: -ms-flexbox;
    display: flex;
    display: -webkit-box;
    display: -webkit-flex;
    -webkit-box-align: end;
    -ms-flex-align: end;
    align-items: flex-end;
}
.SEIZO043-flex-tbl-head-area table {
    margin: 0px;
}
.SEIZO043-flex-tbl-head-L {
    overflow: hidden;
}
.SEIZO043-flex-tbl-head-R {
    width: 968px;
    overflow: hidden;
    overflow-y: auto;
    overflow-x: hidden;
}
.SEIZO043-tbl-head_L {
    margin: 0;
}
.SEIZO043-tbl-head_R {
    width: 2141px;
    margin: 0;
}
.SEIZO043-tbl-head_L thead tr th {
    height: 55px;
}
.SEIZO043-tbl-head_R thead tr th {
    height: 25px;
}
.SEIZO043-tbl-head_R thead tr th:first-child {
    border-left: none;
}

/* ▽ ========== BODY ========== ▽ */
.SEIZO043-tbl-body-area {
    width: 100%;
    min-width: 1400px;
    display: -ms-flexbox;
    display: flex;
    display: -webkit-box;
    display: -webkit-flex;
}
.SEIZO043-flex-tbl-body-L {
    max-height: 575px;
    margin-top: 0px;
    overflow: hidden;
}
.SEIZO043-out-flex-tbl-body-R {
    max-width: 985px;
    max-height: 592px;
    overflow-x: scroll;
}
.SEIZO043-flex-tbl-body-R {
    width: 968px;
    margin-top: 0px;
    /* overflow-y: hidden; */
}
.SEIZO043-tbl-body_L {
    margin-top: -1px;
}
.SEIZO043-tbl-body_R {
    width: 2141px;
    margin-top: -1px;
}
.SEIZO043-tbl-body_L tbody tr.odd {
    background: #f4f6f6;
}
.SEIZO043-tbl-body_L tbody tr.even {
    background: #ffffff;
}
.SEIZO043-tbl-body_L tr td {
    padding-top: 0;
    padding-bottom: 0;
}
.SEIZO043-tbl-body_R tbody tr.odd {
    background: #f4f6f6;
}
.SEIZO043-tbl-body_R tbody tr.even {
    background: #ffffff;
}
.SEIZO043-tbl-body_R tr td {
    padding-top: 0;
    padding-bottom: 0;
    text-align: right;
}
.SEIZO043-tbl-body_R tbody tr td:first-child {
    border-left: none;
}

.SEIZO043-lbl-chk_minus {
    margin: 0px 150px 0px 0px;
}
/* ▽ ========== FOOT ========== ▽ */
.SEIZO043-flex-tbl-foot-L {
    float: left;
    overflow: hidden;
    margin-top: 0px;
}
.SEIZO043-flex-tbl-foot-R {
    width: 968px;
    overflow-y: hidden;
    overflow-x: auto;
    margin-top: 0px;
    margin-left: 528px;
}
.SEIZO043-tbl-foot_R {
    width: 2141px;
    margin-top: 0;
}

.SEIZO043-txt-seisan_keikakusu{
    /*width: 50px;*/
    /*min-width: 50px;*/
    max-width: 50px;
}

.SEIZO043-tbl-td_keikakusu{
    align-items: center;
    /*flex-direction: column;*/
}

/* ▽ ========== 明細項目 ========== ▽ */

/* com-itemの右寄せが効く様に最大幅まで伸ばす */
.lbl-number {
    width: 100%;
}
.SEIZO043-lbl-title {
  /* thを指定すると高さが違いによりテーブルにズレが発生するため個別指定 */
  background-color: #0068b7;
  color: #ffffff;
  text-align: center;
}

.SEIZO043-tbl-result_col1 {
    width: 53px;
}
.SEIZO043-tbl-result_col2 {
    width: 375px;
}
.SEIZO043-tbl-result_col3 {
    width: 100px;
}
.SEIZO043-tbl-result_col_yymm {
    width: 65px;
}
.SEIZO043-tbl-td_yellow {
    background-color: #ffffd6;
}
.SEIZO043-tbl-td_blue {
    background-color: #d6ffff;
}
.SEIZO043-tbl-td_red {
    background-color: #ffd6ff;
}
